Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop.util
Class FalseCollection

    java.lang.Object
      cascading.flow.hadoop.util.FalseCollection

All Implemented Interfaces:
  Iterable<Tuple>, Collection<Tuple>

    public class FalseCollection

extends Object
implements Collection<Tuple>

Constructor Summary
`FalseCollection()`

Method Summary
`boolean` | `add(Tuple tuple)`
`boolean` | `addAll(Collection<? extends Tuple> c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`boolean` | `isEmpty()`
`Iterator<Tuple>` | `iterator()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`void` | `setIterator(Iterator<Tuple> iterator)`
`int` | `size()`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### FalseCollection

    public FalseCollection()

Method Detail

### setIterator

    public void setIterator(Iterator<Tuple> iterator)

### size

    public int size()

  Specified by:
    `size` in interface `Collection<Tuple>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<Tuple>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<Tuple>`

### iterator

    public Iterator<Tuple> iterator()

  Specified by:
    `iterator` in interface `Iterable<Tuple>`
  Specified by:
    `iterator` in interface `Collection<Tuple>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<Tuple>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<Tuple>`

### add

    public boolean add(Tuple tuple)

  Specified by:
    `add` in interface `Collection<Tuple>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<Tuple>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<Tuple>`

### addAll

    public boolean addAll(Collection<? extends Tuple> c)

  Specified by:
    `addAll` in interface `Collection<Tuple>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<Tuple>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<Tuple>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<Tuple>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.